- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QLCDNumber Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qlcdnumber.h.

`#include <qlcdnumber.h>`

Inheritance diagram for QLCDNumber:
[legend]

List of all members.

## Public Types
enum | Mode { Hex, Dec, Oct, Bin }
enum | SegmentStyle { Outline, Filled, Flat }
## Public Slots
void | display (const QString &str)
void | display (int num)
void | display (double num)
void | setHexMode ()
void | setDecMode ()
void | setOctMode ()
void | setBinMode ()
void | setSmallDecimalPoint (bool)
## Signals
void | overflow ()
## Public Member Functions
| QLCDNumber (QWidget *parent=0)
| QLCDNumber (uint numDigits, QWidget *parent=0)
| ~QLCDNumber ()
bool | smallDecimalPoint () const
int | digitCount () const
void | setDigitCount (int nDigits)
bool | checkOverflow (double num) const
bool | checkOverflow (int num) const
Mode | mode () const
void | setMode (Mode)
SegmentStyle | segmentStyle () const
void | setSegmentStyle (SegmentStyle)
double | value () const
int | intValue () const
QSize | sizeHint () const
## Protected Member Functions
bool | event (QEvent *e)
void | paintEvent (QPaintEvent *)
## Properties
bool | smallDecimalPoint
int | numDigits
int | digitCount
Mode | mode
SegmentStyle | segmentStyle
double | value
int | intValue

## Member Enumeration Documentation

enum Mode

Search for all occurrences

Enumerator:

  Hex | Search for all occurrences
  Dec | Search for all occurrences
  Oct | Search for all occurrences
  Bin | Search for all occurrences

Definition at line 74 of file qlcdnumber.h.

                  {
            Hex, Dec, Oct, Bin
    #if defined(QT3_SUPPORT) && !defined(Q_MOC_RUN)
            , HEX = Hex, DEC = Dec, OCT = Oct, BIN = Bin
    #endif
        };

enum SegmentStyle

Search for all occurrences

Enumerator:

  Outline | Search for all occurrences
  Filled | Search for all occurrences
  Flat | Search for all occurrences

Definition at line 80 of file qlcdnumber.h.

                          {
            Outline, Filled, Flat
        };

## Constructor & Destructor Documentation

QLCDNumber | ( | QWidget * | parent = `0` | ) | `[explicit]`

QLCDNumber | ( | uint | numDigits,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

~QLCDNumber | ( |  | ) |

## Member Function Documentation

bool smallDecimalPoint | ( |  | ) | const

Search for all occurrences

int digitCount | ( |  | ) | const

Search for all occurrences

void setDigitCount | ( | int | nDigits | ) |

Search for all occurrences

bool checkOverflow | ( | double | num | ) | const

Search for all occurrences

bool checkOverflow | ( | int | num | ) | const

Search for all occurrences

Mode mode | ( |  | ) | const

Search for all occurrences

void setMode | ( | Mode |  | ) |

Search for all occurrences

SegmentStyle segmentStyle | ( |  | ) | const

Search for all occurrences

void setSegmentStyle | ( | SegmentStyle |  | ) |

Search for all occurrences

double value | ( |  | ) | const

Search for all occurrences

int intValue | ( |  | ) | const

Search for all occurrences

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QFrame.

void display | ( | const QString & | str | ) | `[slot]`

Search for all occurrences

void display | ( | int | num | ) | `[slot]`

Search for all occurrences

void display | ( | double | num | ) | `[slot]`

Search for all occurrences

void setHexMode | ( |  | ) | `[slot]`

Search for all occurrences

void setDecMode | ( |  | ) | `[slot]`

Search for all occurrences

void setOctMode | ( |  | ) | `[slot]`

Search for all occurrences

void setBinMode | ( |  | ) | `[slot]`

Search for all occurrences

void setSmallDecimalPoint | ( | bool |  | ) | `[slot]`

Search for all occurrences

void overflow | ( |  | ) | `[signal]`

Search for all occurrences

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QFrame.

void paintEvent | ( | QPaintEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QFrame.

## Property Documentation

bool smallDecimalPoint `[read, write]`

Search for all occurrences

Definition at line 61 of file qlcdnumber.h.

int numDigits `[read, write]`

Search for all occurrences

Definition at line 62 of file qlcdnumber.h.

int digitCount `[read, write]`

Search for all occurrences

Definition at line 63 of file qlcdnumber.h.

Mode mode `[read, write]`

Search for all occurrences

Definition at line 64 of file qlcdnumber.h.

SegmentStyle segmentStyle `[read, write]`

Search for all occurrences

Definition at line 65 of file qlcdnumber.h.

double value `[read, write]`

Search for all occurrences

Definition at line 66 of file qlcdnumber.h.

int intValue `[read, write]`

Search for all occurrences

Definition at line 67 of file qlcdnumber.h.

The documentation for this class was generated from the following file:

- QtGui/qlcdnumber.h

QLCDNumber QLCDNumber QLCDNumber QLCDNumber QLCDNumber QLCDNumber QLCDNumber QLCDNumber QLCDNumber QLCDNumber
QLCDNumber QLCDNumber QLCDNumber QLCDNumber QLCDNumber QLCDNumber QLCDNumber QLCDNumber QLCDNumber QLCDNumber